[Ubuntu 16.04] librtas package update

Bug #1539543 reported by bugproxy on 2016-01-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
librtas (Ubuntu)
High
Adam Conrad

Bug Description

Last week have have released librtas v1.4.0 .In this release we have changed package license from CPL to LGPL. With this all RAS packages comes under LGPL/GPL license.

Can you please pull latest version to Ubuntu 16.04? Also make sure you update copyright details.

Source : https://github.com/nfont/librtas

Note that we have moved repo from SF to github. You may want to update watch file as well.

-Vasant

bugproxy (bugproxy) on 2016-01-29
tags: added: architecture-ppc64le bugnameltc-136230 severity-high targetmilestone-inin1604
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1539543/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Steve Langasek (vorlon) on 2016-01-29
affects: ubuntu → librtas (Ubuntu)
Changed in librtas (Ubuntu):
assignee: Taco Screen team (taco-screen-team) → Adam Conrad (adconrad)

------- Comment From <email address hidden> 2016-02-16 07:39 EDT-------
Canonical,

Any progress on this feature?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-03-14 06:18 EDT-------
Hello Canonical,
Can you please keep us in sync what's happening with this feature? When are you planning to include librtas v1.4.0 ?

Thanks!

Breno Leitão (breno-leitao) wrote :

Canonical,

LIbrtas moved finally to github, so, you might want to download the source code from there:

https://github.com/nfont/librtas

Diane Brent (drbrent) wrote :

Per quick discussion with Hohnbaum 3/17, this is on track for 16.04. No issues on Canonical side, just working the queue of requests.

Steve Langasek (vorlon) on 2016-04-09
Changed in librtas (Ubuntu):
importance: Undecided → High
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package librtas - 2.0.0-1

---------------
librtas (2.0.0-1) unstable; urgency=medium

  * New upstream release, update debian/copyright to LGPL (LP: #1539543)
  * Rewrite debian/watch file to track upstream's move to github/nfont.
  * Update Standards-Version to 3.9.7 and tidy up our lintian warnings.
  * Dtop liboftd1 and libofdt-dev from debian/* as upstream removed it.
  * Pass '-c4' to dh_makeshlibs to force examination of symbol updates.
  * Update debian/compat and debian/control debhelper usages to (>= 9).
  * Drop patches upstream: shlib-symlink, format-security, static-libs.
  * Bump SOVER to 2 and update symbol files to match upstream ABI break.

 -- Adam Conrad <adconrad@0c3.net> Wed, 06 Apr 2016 09:48:14 -0600

Changed in librtas (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers